package com.javacodegeeks.example;

import java.util.List;

import com.atlassian.activeobjects.external.ActiveObjects;
import com.atlassian.confluence.spaces.actions.SpaceAdminAction;
import com.atlassian.plugin.spring.scanner.annotation.imports.ComponentImport;

import static com.google.common.base.Preconditions.checkNotNull;
import static com.google.common.collect.Lists.newArrayList;

public class MyAction extends SpaceAdminAction {

	private static final long serialVersionUID = 1L;
	
	private ActiveObjects ao;

	@Override
    public String doDefault()
    {
        return INPUT;
    }
	
	public void setActiveObjects(@ComponentImport ActiveObjects ao) {
		this.ao = checkNotNull(ao);
	}
	
	public List<Quote> getQuotes() {
		return newArrayList(ao.find(Quote.class));
	}

}
